$(document).ready(function() {
    $('#chat-form').on('submit', function(e) {
        e.preventDefault();

        var userInput = $('#user_input').val();
        var errorMessageContainer = $('#error-message');

        if (userInput.trim() === "") {
            errorMessageContainer.text("Please enter some text.");
            errorMessageContainer.show().addClass('alert alert-danger');
            return;
        } else {
            errorMessageContainer.hide().removeClass('alert alert-danger');
        }

        $.ajax({
            type: "POST",
            url: "/",
            data: {
                user_input: userInput
            },
            success: function(response) {
                $('#response').text(response);
                $('#response-container').fadeIn();

                $('html, body').animate({
                    scrollTop: $("#response-container").offset().top
                }, 1000);
            },
            error: function(xhr, status, error) {
                errorMessageContainer.text("An error occurred: " + error);
                errorMessageContainer.show().addClass('alert alert-danger');
            }
        });
    });
});